lumiN {lumi} | R Documentation

## Between chip normalization of a LumiBatch object

### Description

A main function of between chip normalization of a LumiBatch object. Currently, four methods ("rsn", "ssn", "quantile", "loess", "vsn") are supported.

### Usage

    lumiN(x.lumi, method = c("quantile", "rsn", "ssn", "loess", "vsn"), verbose = TRUE, ...)

### Arguments

`x.lumi` | an ExpressionSet inherited object or a data matrix with columns as samples and rows as genes
`method` | four different between chips normalization methods ("quantile", "rsn", "ssn", "loess", "vsn") are supported
`verbose` | a boolean to decide whether to print out some messages
`...` | other parameters used by corresponding method

### Details

lumiN is an interface for different normalization methods. Currently it supports "RSN" (See `rsn`), "SSN" (See `ssn`), "loess" (See `normalize.loess`), "quantile" (See `normalize.quantiles`) and "VSN" (See `vsn`). See details in individual functions. Note: the "VSN" normalization should be directly applied to the raw data instead of the lumiT processed data.

### Value

Return an object with expression values normalized. The class of the return object is the same as the input object x.lumi. If it is a LumiBatch object, it also includes the VST transform function and its parameters as attributes: "transformFun", "parameter". See `inverseVST` for details.

### Author(s)

Pan Du, Simon Lin

### See Also

`rsn`, `ssn`

### Examples

    ## load example data
    data(example.lumi)

    ## Do lumi transform
    lumi.T <- lumiT(example.lumi)

    ## Do lumi between chip normaliazation
    lumi.N <- lumiN(lumi.T, method='rsn', ifPlot=TRUE)

[Package lumi version 1.10.2 Index]